[arch-commits] Commit in tor/trunk (PKGBUILD)

Ronald van Haren ronald at archlinux.org
Thu Oct 9 14:35:00 EDT 2008


    Date: Thursday, October 9, 2008 @ 14:35:00
  Author: ronald
Revision: 14706

upgpkg: tor 0.2.0.31-1

Modified:
  tor/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-09 18:20:47 UTC (rev 14705)
+++ PKGBUILD	2008-10-09 18:35:00 UTC (rev 14706)
@@ -18,16 +18,16 @@
          '4e39d56f462fc9f59e91715ac1b994c0')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
 
-	mkdir -p $startdir/pkg/var/lib
-	install -o43 -g43 -d -m0700 $startdir/pkg/var/lib/tor
-	install -D -m644 $startdir/src/tor.conf $startdir/pkg/etc/tor/torrc
-	install -D -m755 $startdir/src/tor.rc $startdir/pkg/etc/rc.d/tor
+	install -d $pkgdir/var/lib || return 1
+	install -o43 -g43 -d -m0700 $startdir/pkg/var/lib/tor || return 1
+	install -D -m644 $startdir/src/tor.conf $pkgdir/etc/tor/torrc || return 1
+	install -D -m755 $startdir/src/tor.rc $pkgdir/etc/rc.d/tor || return 1
 	
-  make DESTDIR=$startdir/pkg install
-  mv $startdir/pkg/etc/tor/torrc.sample $startdir/pkg/etc/tor/torrc-dist
+  make DESTDIR=$pkgdir install || return 1
+  mv $pkgdir/etc/tor/torrc.sample $pkgdir/etc/tor/torrc-dist || return 1
 }
 # vim: ft=sh sw=2 ts=2




More information about the arch-commits mailing list